<script lang="ts">
import { defineComponent } from 'vue';
import SvgIcon from '@/components/SvgIcon/index.vue';

export default defineComponent({
  name: 'MenuCard',
  components: { SvgIcon },
  props: {
    title: {
      type: String,
      default: '区域管理'
    },
    icon: {
      type: String,
      default: 'tree'
    },
    url: {
      type: String,
      default: '/system/region'
    }
  },
  data() {
    return {};
  },
  methods: {
    changeRouter() {
      this.$router.push(this.url);
    }
  }
});
</script>

<template>
  <div class="menu-card" @click.prevent="changeRouter">
    <svg-icon style="font-size: 40px;" :icon-class="icon"></svg-icon>
    <br />
    <br />
    <span class="menu-title">{{ title }}</span>
  </div>
</template>

<style scoped lang="scss">
.menu-card {
  display: inline-block;
  color: #F6F6F6;
  background-color: #9f80f5;
  text-align: center;
  min-width: 160px;
  padding: 8px 16px;
  border-radius: 4px;
  cursor: pointer;
  .menu-title {
    font-weight: 700;
  }
}
</style>
